#!/bin/bash
#
# $1 - directory where place rootfs
# Result:
#   sumsubfsnone.img - jffs2 image root filesystem for mtd5
#
make_image_jffs2()
{
# $1 - rootfs folder
# $2 - output file name
    ./or_mkfs.jffs2 -d $1 -o $2 -X zlib -s 4096 -e 128KiB -n
}

make_image_ubi()
{
# $1 - rootfs folder
# $2 - output file name
# $3 - partition size in LEBs
# $4 - LEB size
# $5 - PAGE size
    ./or_mkfs.ubifs -r $1 -m $5 -e $4 -c $3 -o $2
}


rm -f ./${MODEL,,}/out/sumsubfsnone.img
rm -f -R ./tmp
mkdir ./tmp
cp -R -f $1 ./tmp/rootfs

###### Changes between rootfs-nfs and rootfs-nand ##############
#cp -R ./nand_src/* ./tmp/rootfs/
################################################################

###### This is the place for operator's Addons in rootfs #######

################################################################

case $ROOTFS_FS_TYPE in
    ubi)
	leb_size=126976
	page_size=2048
	max_lebs=1710
	if [ "$ROOTFS_FS_UBI_LEBS" != "" ] ; then
	    max_lebs=$ROOTFS_FS_UBI_LEBS
	fi
	if [ "$ROOTFS_FS_UBI_LEB_SIZE" != "" ] ; then
	    leb_size=$ROOTFS_FS_UBI_LEB_SIZE
	fi
	if [ "$ROOTFS_FS_UBI_PAGE" != "" ] ; then
	    page_size=$ROOTFS_FS_UBI_PAGE
	fi


	make_image_ubi ./tmp/rootfs ./${MODEL,,}/out/sumsubfsnone.img $max_lebs $leb_size $page_size
    ;;
    ext4)
	./mk_rfs_ext4.sh ./tmp/rootfs ./${MODEL,,}/out/sumsubfsnone.img
    ;;
    jffs2)
	make_image_jffs2 ./tmp/rootfs ./${MODEL,,}/out/sumsubfsnone.img
    ;;
    *)
	make_image_jffs2 ./tmp/rootfs ./${MODEL,,}/out/sumsubfsnone.img
    ;;
esac

rm -f -R ./tmp
